| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.SimpleDecoration

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage:

Description
A layout modifier for adding simple decorations to the windows of a given layout. The decorations are in the form of ion-like tabs for window titles.
Synopsis

simpleDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration SimpleDecoration s) l a

data Theme = Theme {

activeColor :: String
inactiveColor :: String
urgentColor :: String
activeBorderColor :: String
inactiveBorderColor :: String
urgentBorderColor :: String
activeTextColor :: String
inactiveTextColor :: String
urgentTextColor :: String
fontName :: String
decoWidth :: Dimension
decoHeight :: Dimension

}

defaultTheme :: Theme
data SimpleDecoration a = Simple Bool
shrinkText :: DefaultShrinker
data CustomShrink = CustomShrink
class (Read s, Show s) => Shrinker s where

shrinkIt :: s -> String -> [String]

Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.SimpleDecoration

Then edit your `layoutHook` by adding the SimpleDecoration decoration to your layout:

     myL = simpleDeco shrinkText defaultTheme (layoutHook defaultConfig)
     main = xmonad defaultConfig { layoutHook = myL }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

You can also edit the default configuration options.

     mySDConfig = defaultTheme { inactiveBorderColor = "red"
                                      , inactiveTextColor   = "red"}

and

     myL = dwmStyle shrinkText mySDConfig (layoutHook defaultTheme)

simpleDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration SimpleDecoration s) l a | Source

Add simple decorations to windows of a layout.

data Theme | Source

A `Theme` is a record of colors, font etc., to customize a `DecorationStyle`. For a collection of `Theme`s see XMonad.Util.Themes
Constructors

Theme |

activeColor :: String | Color of the active window
inactiveColor :: String | Color of the inactive window
urgentColor :: String | Color of the urgent window
activeBorderColor :: String | Color of the border of the active window
inactiveBorderColor :: String | Color of the border of the inactive window
urgentBorderColor :: String | Color of the border of the urgent window
activeTextColor :: String | Color of the text of the active window
inactiveTextColor :: String | Color of the text of the inactive window
urgentTextColor :: String | Color of the text of the urgent window
fontName :: String | Font name
decoWidth :: Dimension | Maximum width of the decorations (if supported by the `DecorationStyle`)
decoHeight :: Dimension | Height of the decorations

Instances

Read Theme
Show Theme

defaultTheme :: Theme | Source

The default xmonad `Theme`.

data SimpleDecoration a | Source

Constructors

Simple Bool |

Instances

Eq a => DecorationStyle SimpleDecoration a
Read (SimpleDecoration a)
Show (SimpleDecoration a)

shrinkText :: DefaultShrinker | Source

data CustomShrink | Source

Constructors

CustomShrink |

Instances

Read CustomShrink
Show CustomShrink
Shrinker CustomShrink

class (Read s, Show s) => Shrinker s where | Source

Methods

shrinkIt :: s -> String -> [String] | Source

Instances

Shrinker DefaultShrinker
Shrinker CustomShrink

Produced by Haddock version 2.4.2